Bug 76575 - rebuild of kernel-2.4.18-17.8.0.src.rpm fails.
rebuild of kernel-2.4.18-17.8.0.src.rpm fails.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-23 12:13 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 16:39:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-23 12:13:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I ran as root "rpmbuild --rebuild kernel-2.4.18-17.8.0.src.rpm".  Seemed to
enter countless loops thru the build process until after 47 minutes (on an
athlon 1800+!) it failed with a segmentation fault.  (see below)


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.rpmbuild --rebuild kernel-2.4.18-17.8.0.src.rpm
2.
3.
	

Actual Results:  this is the end of the rpmbuild output:
i2o_pci.c:392:1: warning: no newline at end of file
i2o_block.c:510: warning: `i2ob_flush' defined but not used
rcpci45.c:105: warning: `RCinit' declared `static' but never defined
ns83820.c:1710: warning: `ns83820_probe_phy' defined but not used
aironet4500_core.c: In function `awc_receive_packet':
aironet4500_core.c:1936: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [aironet4500_core.o] Error 1
make[1]: *** [_modsubdir_net] Error 2
make: *** [_mod_drivers] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.69123 (%build)


Expected Results:  build actually complete

Additional info:

This is a new box I built, and the 2nd kernel build I attempted. 
kernel-2.4.18-14 in /usr/src/linux-2.4 also failed, even tho I followed the
instructions in the RH Customization Guide.
Comment 1 Alan Cox 2002-12-15 20:53:18 EST
If they are failing at different random points its almost certainly hardware.
gcc happens to also be a very good detector of bad RAM chips.

Test the system with memtest86
Comment 2 Jakub Jelinek 2004-10-02 16:39:01 EDT
Assuming this was bad hardware.  If there was a reproduceable GCC
bug, we would not be able to build the rpms ourselves.

Note You need to log in before you can comment on or make changes to this bug.